Page MenuHomePhabricator

Hard deprecate Action::page property
Closed, ResolvedPublic3 Estimated Story Points

Description

The Action::page has been soft deprecated.

We need to identify and remove all usages of the property in Wikimedia Deployed extensions and in MW tarball and remove them with calls to Action::getArticle and Action::getWikiPage accordingly.

https://codesearch.wmflabs.org/deployed/?q=%5C%24this-%3Epage-%3E&i=nope&files=&repos=

After that the property can be hard-deprecated.
Ideally, we would remove usages in all extensions before hard deprecating.

Event Timeline

Pchelolo created this task.Mar 25 2020, 5:35 PM
Art-Baltai set the point value for this task to 3.May 4 2020, 5:34 PM

Change 594339 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/extensions/CreditsSource@master] Use Article::getWikiPage()->getID() instead of $this->page->getID()

https://gerrit.wikimedia.org/r/594339

Change 594339 merged by jenkins-bot:
[mediawiki/extensions/CreditsSource@master] Use Article::getWikiPage()->getID() instead of $this->page->getID()

https://gerrit.wikimedia.org/r/594339

Helga_sf triaged this task as High priority.May 11 2020, 10:38 AM

@Art-Baltai can we close this task if it's done?

I checked:

  • this task is merged
  • no actual calls to property

we can close this task

WDoranWMF closed this task as Resolved.May 21 2020, 1:12 PM